/*
 * $Id: common.h,v 1.1 2003/02/28 11:16:37 tsavola Exp $
 * Functions common to client and daemon.
 * Timo Savola <timo.savola@movial.fi>
 */

#ifndef COMMON_H
#define COMMON_H

/** Maximum username length including the null-terminator. */
#define USER_SIZE 16

/** Maximum password length including the null-terminator. */
#define PWD_SIZE  16

/** Maximum hostname length including the null-terminator. */
#define HOST_SIZE 256

extern int set_nonblocking(int fd);
extern char *get_progname(char *name);
extern char *find_pwd(const char *filename, const char *host, int *portp);

#endif
