/*
 * $Id: client.h,v 1.2 2003/02/21 12:58:59 tsavola Exp $
 * Timo Savola <timo.savola@movial.fi>
 */

#ifndef CLIENT_H
#define CLIENT_H

/** Name of the config file in the user's home directory. */
#define CONFIG_NAME ".sbrsh"

/** Client parameters. */
typedef struct {
	/* Options */
	char *host;
	char *user;
	char *root;
	char *dir;
	char *cmd;
	char **argv;

	/* Config */
	int port;
	char *pwd;
} config_t;

#endif
